#pragma once
#include "types.h"

#define PAGING_MEM_USER 1
#define PAGING_MEM_READ (1 << 1)
#define PAGING_MEM_WRITE (1 << 2)

int pagingSetup(paddr_t upperKernelAddr);

int pageMap(vaddr_t vaddr, paddr_t paddr, int flags);
int pageUnmap(vaddr_t vaddr);
unsigned long getNbMappedPage(void);
